using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Ticket223276_CellTooltipWithFormattedDate
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();

            this.grid.ItemsSource = GetMessages();
        }

        private IList<Message> GetMessages()
        {
            return new Message[] { 
			                     	new Message { Sender = "tom@hanna-barbera.com", Subject = "Cats are cool", Received = DateTime.Now },
			                     	new Message { Sender = "jerry@hanna-barbera.com", Subject = "Mice are cool", Received = DateTime.Now.AddDays(-234) },
			                     	new Message { Sender = "spike@hanna-barbera.com", Subject = "Dogs are cool", Received = DateTime.Now.AddDays(-542) }
			                     };
        }

    }
}
